if not m then
    m = mqtt.Client( myClient, 120, myClient, 'pass'..myClient)
    m:lwt(myClient..'/state', "OFF", 0, 1)
    m:on("message", function(conn, topic, dt)
        local top = string.gsub(topic, myClient.."/command/","")
        if dt then
            dat.mqtemp = dt
        end
    end)
    m:on("offline", function(con)
        dofile('setmqtt.lua')
    end)
else
	m:close()
end

local count = 0
local connecting = function(getmq)
    if wifi.sta.status() == 5 then
        print('Got wifi')
        tmr.stop(getmq)
        tmr.unregister(getmq)
        getmq = nil
		sntp.sync({"ntp1.stratum1.ru", "ntp4.stratum2.ru", "ntp3.stratum2.ru"},
			function()
				print('Got NTP!')
			end,
			function()
			   print('NTP failed!')
			end, 
		true)
		print('\nTry iot.eclipse.org!\n')
        dofile('askweatherAll.lua') 
		m:connect('iot.eclipse.org', 1883, 0, 0,
        function(con)
            print("Connected to Broker")
			--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
			--m:subscribe("narod/28B1AED5040000A1",0, function(conn) 
            --    print("Subscribed.")
            --end)
            m:publish(myClient..'/state',"ON",0,1)
            count = nil
        end,
        function(con)
            dofile('setmqtt.lua')
        end)
    else
        print("Wating for WiFi "..count.." times")
        count = count + 1
    end
end
tmr.create():alarm(5000, 1, function(t)
    connecting(t)
end)